#pragma once
#include "main.h"
void inventor_set(uint16_t frequency,float duty);
void inventor_start();
void inventor_stop();


typedef struct {
    float* buffer;
    uint32_t index;
    float sum;
    uint8_t is_full;
    int size;
} MovingAverageFilter;

void MAF_Init(MovingAverageFilter *f);
float MAF_Update(MovingAverageFilter *f, float new_value);
void adc_calculate();
